Bug 150446 - pcmcia-init script corrections
pcmcia-init script corrections
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: pcmcia-cs (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
:
: 160707 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-06 14:46 EST by jar
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-03 09:50:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description jar 2005-03-06 14:46:12 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0)

Description of problem:
When you do ´service pcmcia restart´ you get "unable to map card 
memory" because pcmcia related modules are in use. Some corrections 
has to made to the pcmcia init-script.

o "cardctl eject" has to be placed to before killing cardmgr to get 
pcmcia divice inactive.

o Extra "sleep 1" has to be palced after "cardctl eject" to get 
enough time for "cardctl eject". If there is no sleep the killing of 
cardmgr not always succeeded, sometimes yes.

o There is no such module "ds" any more, "ds" is named "pcmcia" now.

o Use modprobe -r instead of rmmod.

Version-Release number of selected component (if applicable):
pcmcia-cs-3.2.7-1.8.2.2

How reproducible:
Always

Steps to Reproduce:
1.service pcmcia resart
2.
3.
    

Actual Results:  Unable to map card memory

Expected Results:  Clean pcmcia modules unloading and then fresh 
loading.

Additional info:
Comment 1 Matthew Miller 2005-04-26 12:11:11 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 2 jar 2005-04-26 14:35:12 EDT
(In reply to comment #1)
> Fedora Core 2 is now maintained by the Fedora Legacy project for
> security updates only. If this problem is a security issue, please
> reopen and reassign to the Fedora Legacy product. If it is not a
> security issue and hasn't been resolved in the current FC3 updates or
> in the FC4 test release, reopen and change the version to match.

I think this was not corrected in FC3. FC4 I don't know.
Comment 3 jar 2005-04-26 14:36:21 EDT
(In reply to comment #1)
> Fedora Core 2 is now maintained by the Fedora Legacy project for
> security updates only. If this problem is a security issue, please
> reopen and reassign to the Fedora Legacy product. If it is not a
> security issue and hasn't been resolved in the current FC3 updates or
> in the FC4 test release, reopen and change the version to match.

I think this was not corrected in FC3. FC4 I don't know.
Comment 4 Matthew Miller 2006-07-10 17:28:00 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 5 John Thacker 2006-10-29 18:04:22 EST
*** Bug 160707 has been marked as a duplicate of this bug. ***
Comment 6 John Thacker 2006-10-29 18:12:50 EST
pcmcia-cs is obsolete and has been removed from Fedora Core.  It is not present
in FC5 or FC6, the only fully supported versions of Fedora Core.  (FC3 and FC4
are supported by Fedora Legacy for security fixes only.)  It has been replaced
by pcmciautils.  Due to the change in codebase, can you please retest this bug
against pcmciautils in FC5 or FC6?  If the bug is still present there, please
change the Component to pcmciautils and the version appropriately.  Thanks!

If there is no response within several weeks, the bug will be closed.
Comment 7 John Thacker 2007-01-03 09:50:37 EST
Per the previous comment, closing bug since pcmcia-cs is no longer supported. 
If a similar bug still exists in pcmciautils, the replacement for pcmcia-cs,
please reopen the bug or file a new one.

Note You need to log in before you can comment on or make changes to this bug.